# QPainterPath Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QPainterPath()
- void QPainterPath(QPainterPath other)
- void QPainterPath(QPointF startPoint)

### Constructor Properties

- prototype: The QPainterPath prototype object
- MoveToElement
- LineToElement
- CurveToElement
- CurveToDataElement
- ElementType( value )

### Prototype Object Properties

- void addEllipse(QPointF center, qreal rx, qreal ry)
- void addPath(QPainterPath path)
- void addPolygon(QPolygonF polygon)
- void addRect(QRectF rect)
- void addRegion(QRegion region)
- void addRoundRect(QRectF rect, int roundness)
- void addRoundedRect(QRectF rect, qreal xRadius, qreal yRadius, SizeMode mode)
- void addText(QPointF point, QFont f, String text)
- qreal angleAtPercent(qreal t)
- void arcMoveTo(QRectF rect, qreal angle)
- void arcTo(QRectF rect, qreal startAngle, qreal arcLength)
- QRectF boundingRect()
- void closeSubpath()
- void connectPath(QPainterPath path)
- bool contains(QPainterPath p)
- QRectF controlPointRect()
- void cubicTo(QPointF ctrlPt1, QPointF ctrlPt2, QPointF endPt)
- QPointF currentPosition()
- QPainterPath_Element elementAt(int i)
- int elementCount()
- FillRule fillRule()
- QPainterPath intersected(QPainterPath r)
- bool intersects(QPainterPath p)
- bool isEmpty()
- qreal length()
- void lineTo(QPointF p)
- void moveTo(QPointF p)
- QPainterPath operator_add(QPainterPath other)
- QPainterPath operator_add_assign(QPainterPath other)
- QPainterPath operator_and(QPainterPath other)
- QPainterPath operator_and_assign(QPainterPath other)
- bool operator_equal(QPainterPath other)
- QPainterPath operator_or(QPainterPath other)
- QPainterPath operator_or_assign(QPainterPath other)
- QPainterPath operator_subtract(QPainterPath other)
- QPainterPath operator_subtract_assign(QPainterPath other)
- qreal percentAtLength(qreal t)
- QPointF pointAtPercent(qreal t)
- void quadTo(QPointF ctrlPt, QPointF endPt)
- void readFrom(QDataStream arg__1)
- void setElementPositionAt(int i, qreal x, qreal y)
- void setFillRule(FillRule fillRule)
- QPainterPath simplified()
- qreal slopeAtPercent(qreal t)
- QPainterPath subtracted(QPainterPath r)
- QPainterPath subtractedInverted(QPainterPath r)
- void swap(QPainterPath other)
- QPolygonF toFillPolygon(QMatrix matrix)
- List toFillPolygons(QMatrix matrix)
- QPainterPath toReversed()
- List toSubpathPolygons(QMatrix matrix)
- void translate(QPointF offset)
- QPainterPath translated(QPointF offset)
- QPainterPath united(QPainterPath r)
- void writeTo(QDataStream arg__1)

### Instance Properties

QPainterPath objects have no special properties beyond those inherited from the QPainterPath prototype object.